package eu.mhsl.craftattack.spawn.appliances.chatMessages;

import eu.mhsl.craftattack.spawn.appliance.Appliance;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.event.ClickEvent;
import net.kyori.adventure.text.event.HoverEvent;
import net.kyori.adventure.text.format.NamedTextColor;
import org.bukkit.entity.Player;
import org.bukkit.event.Listener;
import org.jetbrains.annotations.NotNull;

import java.util.List;

public class ChatMessages extends Appliance {
    public Component getReportablePlayerName(Player player) {
        return Component
            .text("")
            .append(player.displayName())
            .hoverEvent(HoverEvent.showText(Component.text("Klicke, um diesen Spieler zu reporten").color(NamedTextColor.GOLD)))
            .clickEvent(ClickEvent.clickEvent(ClickEvent.Action.SUGGEST_COMMAND, "/report " + player.getName() + " "));
    }

    @Override
    @NotNull
    protected List<Listener> eventHandlers() {
        return List.of(new ChatMessagesListener());
    }
}
